## svt-av1-dmo 1.2.1

=== debian/changelog ===
svt-av1-dmo (1.2.1-dmo0+deb11u1) stable; urgency=medium

  * Build for stable (Thanks to Radek Steiger for the bug report)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Oct 2022 15:56:02 +0200

svt-av1-dmo (1.2.1-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Aug 2022 15:26:44 +0200

svt-av1-dmo (1.0.0-dmo0~bpo11+2) stable-backports; urgency=medium

  * libsvtav1-dev should be acrhitecture any

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Apr 2022 15:51:18 +0200

svt-av1-dmo (1.0.0-dmo0~bpo11+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Apr 2022 14:56:28 +0200

svt-av1-dmo (0.8.7-dmo2) unstable; urgency=medium

  * debian/control set Architecture: to any (was amd64 powerpc).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 May 2021 08:57:55 +0200

svt-av1-dmo (0.8.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 May 2021 08:46:10 +0200

svt-av1-dmo (0.8.6-dmo3) unstable; urgency=medium

  * svt-av1 package should be in Section video
  * Changes upstream git address github --> gitlab

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Mar 2021 11:06:16 +0100

svt-av1-dmo (0.8.6-dmo2) unstable; urgency=medium

  * Add powerpc to Architecture:

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Mar 2021 14:10:51 +0100

svt-av1-dmo (0.8.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Nov 2020 15:00:18 +0100

svt-av1-dmo (0.8.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Sep 2020 08:36:46 +0200

svt-av1-dmo (0.8.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jun 2020 08:46:09 +0200

svt-av1-dmo (0.8.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Apr 2020 08:38:59 +0200

svt-av1-dmo (0.8.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Apr 2020 09:15:32 +0200

svt-av1-dmo (0.8.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Jan 2020 13:36:41 +0100

svt-av1-dmo (0.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Dec 2019 08:10:41 +0100

svt-av1-dmo (0.7.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Nov 2019 08:37:02 +0100

svt-av1-dmo (0.7.0-dmo2) unstable; urgency=medium

  * Add nasm to build-depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Oct 2019 08:24:47 +0200

svt-av1-dmo (0.7.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Sep 2019 09:22:02 +0200
