=== debian/control ===
Source: svt-av1-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gitlab.com/AOMediaCodec/SVT-AV1
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), nasm, cmake, ninja-build

Package: svt-av1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scalable Video Technology for AV1 Encoder
 The Scalable Video Technology for AV1 Encoder (SVT-AV1 Encoder) is an
 AV1-compliant encoder library core. The SVT-AV1 development is a
 work-in-progress targeting performance levels applicable to both VOD and
 Live encoding / transcoding video applications.

Package: libsvtav1dec0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libsvtav1-0 (<= 1.0.0-dmo0~bpo11+1)
Description: Scalable Video Technology for AV1 (libsvtav1dec shared library)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder
 development is a work-in-progress targeting performance levels applicable
 to both VOD and Live encoding / transcoding video applications. The
 SVT-AV1 decoder implementation is targeting future codec research
 activities.
 .
 This package provides the shared library libsvtav1dec.

Package: libsvtav1dec-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsvtav1dec0 (= ${binary:Version}), ${misc:Depends}
Replaces: libsvtav1-dev (<= 1.0.0-dmo0~bpo11+1)
Description: Scalable Video Technology for AV1 (libsvtav1dec development files)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder
 development is a work-in-progress targeting performance levels applicable
 to both VOD and Live encoding / transcoding video applications. The
 SVT-AV1 decoder implementation is targeting future codec research
 activities.
 .
 This package provides the development files for libsvtav1dec.

Package: libsvtav1enc1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Scalable Video Technology for AV1 (libsvtav1enc shared library)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder
 development is a work-in-progress targeting performance levels applicable
 to both VOD and Live encoding / transcoding video applications. The
 SVT-AV1 decoder implementation is targeting future codec research
 activities.
 .
 This package provides the shared library libsvtav1enc.

Package: libsvtav1enc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsvtav1enc1 (= ${binary:Version}), ${misc:Depends}
Replaces: libsvtav1-dev (<= 1.0.0-dmo0~bpo11+1)
Description: Scalable Video Technology for AV1 (libsvtav1enc development files)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder
 development is a work-in-progress targeting performance levels applicable
 to both VOD and Live encoding / transcoding video applications. The
 SVT-AV1 decoder implementation is targeting future codec research
 activities.
 .
 This package provides the development files for libsvtav1enc.

Package: libsvtav1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsvtav1enc-dev (= ${binary:Version}), libsvtav1dec-dev (= ${binary:Version}), ${misc:Depends}
Replaces: libsvtav1enc-dev (<= 1.0.0-dmo0~bpo11+1), libsvtav1dec-dev (<= 1.0.0-dmo0~bpo11+1)
Description: Scalable Video Technology for AV1 Encoder - development files
 The Scalable Video Technology for AV1 Encoder (SVT-AV1 Encoder) is an
 AV1-compliant encoder library core. The SVT-AV1 development is a
 work-in-progress targeting performance levels applicable to both VOD and
 Live encoding / transcoding video applications.
 .
 This package contains the development files.

Package: libsvtav1-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.
