=== debian/rules ===
#!/usr/bin/make -f

CONFIG_ARGS := -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DREPRODUCIBLE_BUILDS=ON

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq (i386,$(DEB_HOST_ARCH))
	CONFIG_ARGS += -DCOMPILE_C_ONLY=ON
endif

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIG_ARGS}

override_dh_clean:
	dh_clean Bin/None/*

override_dh_auto_test:
