## svt-av1-dmo 1.5.0

=== debian/changelog ===
svt-av1-dmo (1:1.5.0-dmo1~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Apr 2023 10:10:36 +0200

svt-av1-dmo (1:1.4.1-dmo1~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Dec 2022 09:20:15 +0100

svt-av1-dmo (1:1.4.0-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Dec 2022 08:32:54 +0100

svt-av1-dmo (1.3.0-dmo0~bpo11+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Oct 2022 09:55:16 +0200
