=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gitlab.com/AOMediaCodec/SVT-AV1
+Rules-Requires-Root: no
 Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), nasm, cmake, ninja-build
+Build-Depends: debhelper-compat (= 13), cmake, ninja-build,
+ nasm [any-amd64 any-i386]
 
 Package: svt-av1
 Architecture: any
