=== debian/watch ===
version=4

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://gitlab.com/AOMediaCodec/SVT-AV1/-/tags \
.*/SVT-AV1-v(.*)@ARCHIVE_EXT@
