## svt-av1-dmo 3.1.2

=== debian/changelog ===
svt-av1-dmo (2:3.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Aug 2025 07:07:08 +0200

svt-av1-dmo (2:3.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Aug 2025 08:14:18 +0200

svt-av1-dmo (2:3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Jul 2025 00:35:08 +0200

svt-av1-dmo (2:3.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Mar 2025 08:42:01 +0100

svt-av1-dmo (2:3.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Mar 2025 15:21:33 +0100

svt-av1-dmo (2:3.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Feb 2025 00:12:14 +0100

svt-av1-dmo (2:2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Oct 2024 22:50:33 +0100

svt-av1-dmo (2:2.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Aug 2024 09:29:04 +0200

svt-av1-dmo (2:2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Aug 2024 07:54:43 +0200

svt-av1-dmo (2:2.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Jun 2024 07:37:02 +0200

svt-av1-dmo (2:2.1.1-dmo2) unstable; urgency=medium

  * Remove libsvtav1-dev, libsvtav1dec0 and libsvtav1dec-dev as decoder has
    been removed.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Jun 2024 11:07:03 +0200

svt-av1-dmo (2:2.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Jun 2024 00:29:13 +0200

svt-av1-dmo (2:2.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 May 2024 01:00:46 +0200

svt-av1-dmo (2:2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Mar 2024 07:52:42 +0100

svt-av1-dmo (2:1.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Dec 2023 07:43:45 +0100

svt-av1-dmo (2:1.7.0-dmo2) unstable; urgency=medium

  * Rename libsvtav1enc1 --> libsvtav1enc1d1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Sep 2023 11:56:05 +0200

svt-av1-dmo (2:1.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Aug 2023 07:38:54 +0200

svt-av1-dmo (2:1.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jun 2023 09:02:52 +0200

svt-av1-dmo (2:1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Apr 2023 14:34:22 +0200

svt-av1-dmo (2:1.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Dec 2022 08:36:40 +0100

svt-av1-dmo (2:1.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Dec 2022 08:43:43 +0100

svt-av1-dmo (2:1.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 09:22:33 +0200

svt-av1-dmo (2:1.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Aug 2022 02:39:47 +0200

svt-av1-dmo (2:1.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Aug 2022 07:09:58 +0200

svt-av1-dmo (2:1.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 May 2022 08:40:36 +0200

svt-av1-dmo (2:1.0.0-dmo4) unstable; urgency=medium

  * libsvtav1-dev should be acrhitecture any

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Apr 2022 16:05:25 +0200

svt-av1-dmo (2:1.0.0-dmo3) unstable; urgency=medium

  * Add a transitional libsvtav1-0 package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Apr 2022 08:23:21 +0200

svt-av1-dmo (2:1.0.0-dmo2) unstable; urgency=medium

  * Fix replaces version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Apr 2022 08:04:28 +0200

svt-av1-dmo (2:1.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Apr 2022 07:31:05 +0200

svt-av1-dmo (2:0.9.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Feb 2022 08:37:24 +0100

svt-av1-dmo (2:0.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Jan 2022 08:56:34 +0100

svt-av1-dmo (2:0.8.7-dmo3) unstable; urgency=medium

  * Add Conflicts with libsvtav1dec0, libsvtav1enc0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Jan 2022 20:40:05 +0100

svt-av1-dmo (1:0.8.7-dmo2) unstable; urgency=medium

  * debian/control set Architecture: to any (was amd64 powerpc).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 May 2021 08:57:55 +0200
