=== debian/control ===
Source: svt-av1-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gitlab.com/AOMediaCodec/SVT-AV1
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), cmake, ninja-build,
 nasm [any-amd64 any-i386], libcpuinfo-dev,

Package: svt-av1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Scalable Video Technology for AV1 Encoder
 The Scalable Video Technology for AV1 Encoder (SVT-AV1 Encoder) is an
 AV1-compliant encoder library core. The SVT-AV1 development is a
 work-in-progress targeting performance levels applicable to both VOD and
 Live encoding / transcoding video applications.

Package: libsvtav1enc3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Conflicts: libsvtav1enc1,
Replaces: libsvtav1enc1,
Description: Scalable Video Technology for AV1 (libsvtav1enc shared library)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder
 development is a work-in-progress targeting performance levels applicable
 to both VOD and Live encoding / transcoding video applications. The
 SVT-AV1 decoder implementation is targeting future codec research
 activities.
 .
 This package provides the shared library libsvtav1enc.

Package: libsvtav1enc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsvtav1enc3 (= ${binary:Version}), ${misc:Depends},
Replaces: libsvtav1-dev (<= 2:2.1.1-dmo1),
Description: Scalable Video Technology for AV1 (libsvtav1enc development files)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder
 development is a work-in-progress targeting performance levels applicable
 to both VOD and Live encoding / transcoding video applications. The
 SVT-AV1 decoder implementation is targeting future codec research
 activities.
 .
 This package provides the development files for libsvtav1enc.
