=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,11 @@
 	dh $@ -Scmake+ninja
 
 override_dh_auto_configure:
-	dh_auto_configure -- ${CONFIG_ARGS}
+	dh_auto_configure -- \
+	-DREPRODUCIBLE_BUILDS=1 \
+	${CONFIG_ARGS}
 
 override_dh_clean:
-	dh_clean Bin/None/*
+	dh_clean Bin/*/*
 
 override_dh_auto_test:
