=== debian/watch ===
version=4

opts="searchmode=plain,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
https://gitlab.com/AOMediaCodec/SVT-AV1/tags?sort=updated_desc \
-/archive/v?\d[\d.]+/SVT-AV1-@ANY_VERSION@@ARCHIVE_EXT@
