## svt-av1-dmo 4.0.0

=== debian/changelog ===
svt-av1-dmo (2:4.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Jan 2026 14:45:55 +0100
