=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: svt-av1-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gitlab.com/AOMediaCodec/SVT-AV1
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build,
  nasm [any-amd64 any-i386], libcpuinfo-dev,
