## svt-av1-dmo 4.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
                     "Please use the Build folder or create your own.")
 endif()
 
-project(svt-av1 VERSION 4.0.0
+project(svt-av1 VERSION 4.0.1
     LANGUAGES C CXX)
 
 set(VERSION_TAG "")
