=== debian/changelog ===
svt-av1-dmo (2:4.0.1-dmo1~bpo13+1) trixie-backports; urgency=medium

  * Upload to trixie-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Feb 2026 09:07:22 +0100

svt-av1-dmo (2:4.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Jan 2026 08:38:37 +0100
