=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  work-in-progress targeting performance levels applicable to both VOD and
  Live encoding / transcoding video applications.
 
-Package: libsvtav1enc3
+Package: libsvtav1enc4
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -37,7 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libsvtav1enc3 (= ${binary:Version}), ${misc:Depends},
+Depends: libsvtav1enc4 (= ${binary:Version}), ${misc:Depends},
 Replaces: libsvtav1-dev (<= 2:2.1.1-dmo1),
 Description: Scalable Video Technology for AV1 (libsvtav1enc development files)
  The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
